Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Broken pakketten (Phython-pyatspi)  (gelezen 539 keer)

Offline Thom

  • Lid
  • Steunpunt: Nee
Broken pakketten (Phython-pyatspi)
« Gepost op: 2011/01/14, 14:48:57 »
Beste forumleden,

Door een eerder probleem na een upgrade in 10.4, heb ik maar een volledige herinstallatie gedaan, nu met 10.10.
Na deze installatie een update uitgevoerd. Met weer een probleem.

4 pakketten zijn "broken" waaronder pakket (phython-pyatspi). Herstel lukt mij niet. Pakket conflicteert volgens een melding.

Ik kan het pakket alleen verwijderen volgende pakketbeheerder, geen keuze voor herinstallatie (greyed-out). De oude versie geforceerd installeren lukt niet.

Via sudo apt-get -f lukt het ook niet.

Groet
Thom
Enig idee hoe dit op te lossten
HP Compaq AMD66 Althlon 2, 2 Gb geheugen, Dual boot Ubuntu 12.04 + Windows 7
Onbekende P4, 1,0 Gb geheugen, Dual boot Ubuntu 11.04 + Window XP3
HP PC Pentium 4, 512Mb geheugen, Dual boot Ubuntu 11,04 + Windows XP3

Offline Thom

  • Lid
  • Steunpunt: Nee
Re: Broken pakketten (Phython-pyatspi)
« Reactie #1 Gepost op: 2011/01/14, 18:46:27 »
Nog even wat aanvullende informatie:

Pakket kan niet worden verwijderd of her-geïnstalleerd.

Melding dat in bestand VAR/LIB/dpkg/status bij regel 2450 pakket python-pyatspi dubbele waarde voor 'Status'-veld.

Ik kan dit bestand niet openen.

Groet
Thom
HP Compaq AMD66 Althlon 2, 2 Gb geheugen, Dual boot Ubuntu 12.04 + Windows 7
Onbekende P4, 1,0 Gb geheugen, Dual boot Ubuntu 11.04 + Window XP3
HP PC Pentium 4, 512Mb geheugen, Dual boot Ubuntu 11,04 + Windows XP3

Offline Thom

  • Lid
  • Steunpunt: Nee
Re: Broken pakketten (Phython-pyatspi)
« Reactie #2 Gepost op: 2011/01/14, 18:59:25 »
Nog wat info via sudo apt-get -f install

Boom van vereisten wordt opgebouwd       
De status informatie wordt gelezen... Klaar
Vereisten worden gecorrigeerd... Klaar
De volgende extra pakketten zullen geïnstalleerd worden:
  libc6 xserver-xorg-video-intel
Voorgestelde pakketten:
  glibc-doc
De volgende pakketten zullen VERWIJDERD worden:
  gnome-orca python-pyatspi
De volgende NIEUWE pakketten zullen geïnstalleerd worden:
  xserver-xorg-video-intel
De volgende pakketten zullen opgewaardeerd worden:
  libc6
1 pakketten opgewaardeerd, 1 pakketten nieuw geïnstalleerd, 2 te verwijderen en 215 niet opgewaardeerd.
2 pakketten niet volledig geïnstalleerd of verwijderd.
Er moeten 0B/4064kB aan archieven opgehaald worden.
Door deze operatie zal er 3686kB schijfruimte vrijkomen.
Wilt u doorgaan [J/n]? J
Voorconfigureren van pakketten...
dpkg: ontleedfout, in bestand '/var/lib/dpkg/status' bij regel 24530 pakket  'python-pyatspi' :
 dubbele waarde voor `Status'-veld
E: Sub-process /usr/bin/dpkg returned an error code (2)
HP Compaq AMD66 Althlon 2, 2 Gb geheugen, Dual boot Ubuntu 12.04 + Windows 7
Onbekende P4, 1,0 Gb geheugen, Dual boot Ubuntu 11.04 + Window XP3
HP PC Pentium 4, 512Mb geheugen, Dual boot Ubuntu 11,04 + Windows XP3

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Broken pakketten (Phython-pyatspi)
« Reactie #3 Gepost op: 2011/01/14, 19:09:27 »
Linux is hoofdlettergevoelig. Dus is het /var/lib/dpkg/status

Open een terminal en tik in:
cat /var/lib/dpkg/statu | nl | grep 24530Eerst was het 2450 en dan 24530. Dus als het 2450 is dan moet je in het commando dat cijfer geven.

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Broken pakketten (Phython-pyatspi)
« Reactie #4 Gepost op: 2011/01/14, 19:12:48 »
Anders moet je eens herbooten maar dan met de recovery-mode (tweede lijn in grub) en dan kiezen voor de rootshell met internetverbinding en daar intikken:
apt-get update && apt-get upgradeJe kan eerst natuurlijk het commando:
apt-get -f installtikken.
Je hoeft geen sudo te gebruiken omdat je hier als root werkt.

Offline Thom

  • Lid
  • Steunpunt: Nee
Re: Broken pakketten (Phython-pyatspi)
« Reactie #5 Gepost op: 2011/01/14, 19:32:14 »
Beste Heir4c,

Opstarten in recovery mode lukt niet (????). Blijft hangen na een tijdje.

Ik heb in de terminal cat /var/lib/dpkg/statu | nl | grep 24530 (en 2450) ingegeven. Krijg ook wat tekst terug, maar weet niet wat daar mee te doen of hoe te lezen. Overigens geeft de teksten geen indicatie over een dubbele waarde.

Nog meer ideeën / suggesties?

Groet
Thom
HP Compaq AMD66 Althlon 2, 2 Gb geheugen, Dual boot Ubuntu 12.04 + Windows 7
Onbekende P4, 1,0 Gb geheugen, Dual boot Ubuntu 11.04 + Window XP3
HP PC Pentium 4, 512Mb geheugen, Dual boot Ubuntu 11,04 + Windows XP3

Offline heir4c

  • Lid
  • Steunpunt: Nee
Re: Broken pakketten (Phython-pyatspi)
« Reactie #6 Gepost op: 2011/01/14, 20:00:54 »
Dat was de bedoeling: om de regel te kunnen zien waar die dubbele waarde zou staan. Het kan zijn dat de regel nummering niet 100% goed is.

 :|

Kan je opstarten van een vorige kernel of van die recovery mode van die vorige kernel?